| helics 3.6.1

Functions
retrieval

## Functions
const char * | helicsInputGetType (HelicsInput ipt)
const char * | helicsInputGetPublicationType (HelicsInput ipt)
int | helicsInputGetPublicationDataType (HelicsInput ipt)
const char * | helicsPublicationGetType (HelicsPublication pub)
const char * | helicsInputGetName (HelicsInput ipt)
HELICS_DEPRECATED const char * | helicsSubscriptionGetTarget (HelicsInput ipt)
const char * | helicsInputGetTarget (HelicsInput ipt)
const char * | helicsPublicationGetName (HelicsPublication pub)
const char * | helicsInputGetUnits (HelicsInput ipt)
const char * | helicsInputGetInjectionUnits (HelicsInput ipt)
const char * | helicsInputGetExtractionUnits (HelicsInput ipt)
const char * | helicsPublicationGetUnits (HelicsPublication pub)
const char * | helicsInputGetInfo (HelicsInput inp)
void | helicsInputSetInfo (HelicsInput inp, const char *info, HelicsError *err)
const char * | helicsInputGetTag (HelicsInput inp, const char *tagname)
void | helicsInputSetTag (HelicsInput inp, const char *tagname, const char *tagvalue, HelicsError *err)
const char * | helicsPublicationGetInfo (HelicsPublication pub)
void | helicsPublicationSetInfo (HelicsPublication pub, const char *info, HelicsError *err)
const char * | helicsPublicationGetTag (HelicsPublication pub, const char *tagname)
void | helicsPublicationSetTag (HelicsPublication pub, const char *tagname, const char *tagvalue, HelicsError *err)
int | helicsInputGetOption (HelicsInput inp, int option)
void | helicsInputSetOption (HelicsInput inp, int option, int value, HelicsError *err)
int | helicsPublicationGetOption (HelicsPublication pub, int option)
void | helicsPublicationSetOption (HelicsPublication pub, int option, int val, HelicsError *err)
void | helicsPublicationSetMinimumChange (HelicsPublication pub, double tolerance, HelicsError *err)
void | helicsInputSetMinimumChange (HelicsInput inp, double tolerance, HelicsError *err)

## Detailed Description

## Function Documentation

## ◆ helicsInputGetExtractionUnits()

const char* helicsInputGetExtractionUnits | ( | HelicsInput | ipt | ) |

Get the units of an input.

The same as helicsInputGetUnits.

Parameters

  ipt | The input to query.

Returns
  A void enumeration, HELICS_OK if everything worked.

Referenced by helicscpp::Input::getUnits(), and helicsInputGetUnits().

## ◆ helicsInputGetInfo()

const char* helicsInputGetInfo | ( | HelicsInput | inp | ) |

Get the data in the info field of an input.

Parameters

  inp | The input to query.

Returns
  A string with the info field string.

Referenced by helicscpp::Input::getInfo().

## ◆ helicsInputGetInjectionUnits()

const char* helicsInputGetInjectionUnits | ( | HelicsInput | ipt | ) |

Get the units of the publication that an input is linked to.

Parameters

  ipt | The input to query.

Returns
  A void enumeration, HELICS_OK if everything worked.

Referenced by helicscpp::Input::getInjectionUnits().

## ◆ helicsInputGetName()

const char* helicsInputGetName | ( | HelicsInput | ipt | ) |

Get the key of an input.

Parameters

  ipt | The input to query.

Returns
  A const char with the input name.

Referenced by helicscpp::Input::getName().

## ◆ helicsInputGetOption()

int helicsInputGetOption | ( | HelicsInput | inp,
|  | int | option
| ) |  |

Get the current value of an input handle option

Parameters

  inp | The input to query.
  option | Integer representation of the option in question see /ref helics_handle_options.

Returns
  An integer value with the current value of the given option.

References HELICS_FALSE.

## ◆ helicsInputGetPublicationDataType()

int helicsInputGetPublicationDataType | ( | HelicsInput | ipt | ) |

Get the type the publisher to an input is sending.

Parameters

  ipt | The input to query.

Returns
  An int containing the enumeration value of the publication type.

References helicsGetDataType(), and helicsInputGetPublicationType().

## ◆ helicsInputGetPublicationType()

const char* helicsInputGetPublicationType | ( | HelicsInput | ipt | ) |

Get the type the publisher to an input is sending.

Parameters

  ipt | The input to query.

Returns
  A const char * with the type name.

Referenced by helicscpp::Input::getPublicationType(), and helicsInputGetPublicationDataType().

## ◆ helicsInputGetTag()

const char* helicsInputGetTag | ( | HelicsInput | inp,
|  | const char * | tagname
| ) |  |

Get the data in a specified tag of an input.

Parameters

  inp | The input object to query.
  tagname | The name of the tag to get the value for.

Returns
  A string with the tag data.

Referenced by helicscpp::Input::getTag().

## ◆ helicsInputGetTarget()

const char* helicsInputGetTarget | ( | HelicsInput | ipt | ) |

Get the target of an input.

Returns
  A const char with the input target.

Referenced by helicscpp::Input::getTarget(), and helicsSubscriptionGetTarget().

## ◆ helicsInputGetType()

const char* helicsInputGetType | ( | HelicsInput | ipt | ) |

Get the type of an input.

Parameters

  ipt | The input to query.

Returns
  A void enumeration, HELICS_OK if everything worked.

Referenced by helicscpp::Input::getType().

## ◆ helicsInputGetUnits()

const char* helicsInputGetUnits | ( | HelicsInput | ipt | ) |

Get the units of an input.

Parameters

  ipt | The input to query.

Returns
  A void enumeration, HELICS_OK if everything worked.

References helicsInputGetExtractionUnits().

## ◆ helicsInputSetInfo()

void helicsInputSetInfo | ( | HelicsInput | inp,
|  | const char * | info,
|  | HelicsError * | err
| ) |  |

Set the data in the info field for an input.

Parameters

  | inp | The input to query.
  | info | The string to set.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Input::setInfo().

## ◆ helicsInputSetMinimumChange()

void helicsInputSetMinimumChange | ( | HelicsInput | inp,
|  | double | tolerance,
|  | HelicsError * | err
| ) |  |

Set the minimum change detection tolerance.

Parameters

  | inp | The input to modify.
  | tolerance | The tolerance level for registering an update, values changing less than this value will not show as being updated.
  [in,out] | err | An error object to fill out in case of an error.

## ◆ helicsInputSetOption()

void helicsInputSetOption | ( | HelicsInput | inp,
|  | int | option,
|  | int | value,
|  | HelicsError * | err
| ) |  |

Set an option on an input

Parameters

  | inp | The input to query.
  | option | The option to set for the input /ref helics_handle_options.
  | value | The value to set the option to.
  [in,out] | err | An error object to fill out in case of an error.

## ◆ helicsInputSetTag()

void helicsInputSetTag | ( | HelicsInput | inp,
|  | const char * | tagname,
|  | const char * | tagvalue,
|  | HelicsError * | err
| ) |  |

Set the data in a specific tag for an input.

Parameters

  | inp | The input object to query.
  | tagname | The string to set.
  | tagvalue | The string value to associate with a tag.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Input::setTag().

## ◆ helicsPublicationGetInfo()

const char* helicsPublicationGetInfo | ( | HelicsPublication | pub | ) |

Get the data in the info field of an publication.

Parameters

  pub | The publication to query.

Returns
  A string with the info field string.

Referenced by helicscpp::Publication::getInfo().

## ◆ helicsPublicationGetName()

const char* helicsPublicationGetName | ( | HelicsPublication | pub | ) |

Get the name of a publication.

This will be the global key used to identify the publication to the federation.

Parameters

  pub | The publication to query.

Returns
  A const char with the publication name.

Referenced by helicscpp::Publication::getName().

## ◆ helicsPublicationGetOption()

int helicsPublicationGetOption | ( | HelicsPublication | pub,
|  | int | option
| ) |  |

Get the value of an option for a publication

Parameters

  pub | The publication to query.
  option | The value to query see /ref helics_handle_options.

Returns
  A string with the info field string.

References HELICS_FALSE.

## ◆ helicsPublicationGetTag()

const char* helicsPublicationGetTag | ( | HelicsPublication | pub,
|  | const char * | tagname
| ) |  |

Get the data in a specified tag of a publication.

Parameters

  pub | The publication object to query.
  tagname | The name of the tag to query.

Returns
  A string with the tag data.

Referenced by helicscpp::Publication::getTag().

## ◆ helicsPublicationGetType()

const char* helicsPublicationGetType | ( | HelicsPublication | pub | ) |

Get the type of a publication.

Parameters

  pub | The publication to query.

Returns
  A void enumeration, HELICS_OK if everything worked.

Referenced by helicscpp::Publication::getType().

## ◆ helicsPublicationGetUnits()

const char* helicsPublicationGetUnits | ( | HelicsPublication | pub | ) |

Get the units of a publication.

Parameters

  pub | The publication to query.

Returns
  A void enumeration, HELICS_OK if everything worked.

Referenced by helicscpp::Publication::getUnits().

## ◆ helicsPublicationSetInfo()

void helicsPublicationSetInfo | ( | HelicsPublication | pub,
|  | const char * | info,
|  | HelicsError * | err
| ) |  |

Set the data in the info field for a publication.

Parameters

  | pub | The publication to set the info field for.
  | info | The string to set.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Publication::setInfo().

## ◆ helicsPublicationSetMinimumChange()

void helicsPublicationSetMinimumChange | ( | HelicsPublication | pub,
|  | double | tolerance,
|  | HelicsError * | err
| ) |  |

Set the minimum change detection tolerance.

Parameters

  | pub | The publication to modify.
  | tolerance | The tolerance level for publication, values changing less than this value will not be published.
  [in,out] | err | An error object to fill out in case of an error.

## ◆ helicsPublicationSetOption()

void helicsPublicationSetOption | ( | HelicsPublication | pub,
|  | int | option,
|  | int | val,
|  | HelicsError * | err
| ) |  |

Set the value of an option for a publication

Parameters

  | pub | The publication to query.
  | option | Integer code for the option to set /ref helics_handle_options.
  | val | The value to set the option to.
  [in,out] | err | An error object to fill out in case of an error.

## ◆ helicsPublicationSetTag()

void helicsPublicationSetTag | ( | HelicsPublication | pub,
|  | const char * | tagname,
|  | const char * | tagvalue,
|  | HelicsError * | err
| ) |  |

Set the data in a specific tag for a publication.

Parameters

  | pub | The publication object to set a tag for.
  | tagname | The name of the tag to set.
  | tagvalue | The string value to associate with a tag.
  [in,out] | err | An error object to fill out in case of an error.

Referenced by helicscpp::Publication::setTag().

## ◆ helicsSubscriptionGetTarget()

HELICS_DEPRECATED const char* helicsSubscriptionGetTarget | ( | HelicsInput | ipt | ) |

Get the target of a subscription.

Returns
  A const char with the subscription target.

References helicsInputGetTarget().